Page MenuHomePhabricator

Configure europeana2802016 ContentTranslation campaign
Closed, ResolvedPublic

Description

Configure europeana2802016 ContentTranslation campaign.

Event Timeline

Amire80 created this task.Feb 3 2016, 7:03 AM
Amire80 assigned this task to KartikMistry.
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 moved this task from Backlog to Lists and campaigns on the ContentTranslation-Release8 board.
Amire80 added subscribers: Amire80, Aklapper, Wittylama.

@Wittylama, what is the timeline for this campaign?

The actual 'competition' component will begin in April. However, as you can see at the Dynamic list of items I've already tagged with the relevant propoerty - https://tools.wmflabs.org/listeria/dynamic.html#list=53 - I have about 200 items marked up already and I am currently building the project homepage https://www.wikidata.org/wiki/User:Wittylama/280

I will need to have the project homepage looking 'ready' before I can publicly start to encourage the partner GLAMs to host editathons etc. So, that means I need the project to be in working order sooner rather than later :-)

Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 8 2016, 9:19 AM

Is there any progress on this please?

To clarify what is actually being requested:

for the Europeana-280 project, @Multichill and I will be building tables that have a similar functionality to this:
https://meta.wikimedia.org/wiki/Wikimedia_CEE_Spring_2016/Structure/Poland

In the table cells where there os NOT currently an article for that language, the reader will be prompted to start the article. By clicking the link they should be taken directly into the CX tool [without needing to have previously enabled CX in beta-features - I know this is technically feasible].

Ideally - and I'm not sure if THIS is technically feasible - the chosen topic for translation can be set by the wikidata number rather than a pre-determined source-language. This is tracked as T112769. The reason for this is because the article might already exist in several source languages. If a user clicks on the "create this article" link in the table (like in the example above) then it is known what the TARGET wikipedia language will be, but it is not known what the desired SOURCE language will be.

This is now a higher priority (for me at least :-) ) because have the drafts of the country pages of the project and need to build the tables to encourage people to "click here to translate this article".

See all the little pencil icons here:
https://www.wikidata.org/wiki/User:Wittylama/280/German
There will be an equivalent page like that, for each of these 30+ languages:
https://www.wikidata.org/wiki/User:Wittylama/280/Languages

All the pencil icons currently link to the homepage of the CX tool.

I would like them to be able to link directly to the CX interface for the specific item that is targeted for translation (bypassing the need to approve CX in Beta).

  • The destination language is be know (because the link is shown in the table for that language).
  • The Wikidata Q number for the article in question is known (it is linked in column 3 of that table)
  • The source/origin language is unknown (it might exist in 0, 1 or <1 language wikipedias already)

If it is not possible to make a URL structure that @Multichill can have his bot auto-insert into these tables, please advise what you would suggest we do instead.

Change 283438 had a related patch set uploaded (by KartikMistry):
Enable europeana2802016 campaign

https://gerrit.wikimedia.org/r/283438

This task was listed months ago, and the project starts tomorrow.

@TheDJ and @Multichill have helped a lot yesterday to build a language selector tool that enables users to chose between potentially many "source" languages. See for example:

This is the table for all the items in the challenge, and whether they exist in the Catalan Wikipedia: https://www.wikidata.org/wiki/Wikidata:Europeana_Art_History_Challenge/Catalan

If you were to click on the pencil icon in that "Catalan" language table for the "Bible of Borso d'Este" (one of the items from Italy) you will see the option to create from any of the pre-existing articles (currently spanish, french, italian): https://www.wikidata.org/w/index.php?title=Wikidata%3AEuropeana_Art_History_Challenge%2FContent_Translation&withJS=MediaWiki%3AEuropeanaContentTranslation.js&itemid=Q2900992&destlang=ca

This seems working fine and better than current campaign support in Content Translation! :)

This seems working fine and better than current campaign support in Content Translation! :)

Javscript hacks FTW! I see you created the campaign. How do we use it? What do we append to the url? What does it give us? Maybe statistics afterwards of the number of articles created in each language?

TheDJ added a comment.Apr 14 2016, 5:38 PM

Right, so if we add "campaign=europeana2802016" to the urls, and we merge https://gerrit.wikimedia.org/r/283438 and create a new wmgContentTranslationCampaigns in the settings that contains europeana2802016, then things could automatically opt in people to CT ?

TheDJ added a comment.Apr 14 2016, 5:43 PM

Right, I added
campaign=europeana2802016
to the urls. Since it's not a known campaign, that actually works. Now I think we only need to add it to wmgContentTranslationCampaigns, and the auto opt-in will already work.

Wether or not that other patch is then needed, i'm not sure.

TheDJ added a comment.Apr 14 2016, 5:47 PM

Since this campaign is already live and we have 5 hours until the weekend starts (deploy wise speaking....) any help to clarify things will be appreciated :)

@Amire80 this request has been open since February. We poked you several times in this bug, online and in person. Our project starts in an hour. Deployment weekend is approaching fast. Patch isn't merged so it looks like we're not going to have this online in time.

I'm really unhappy with this. You really left us hanging here. You gave me (and @Wittylama too) the impression that you were interested in this and you would work on this. We expected the language engineering team to work on this. Was this expectation wrong? We're depending on this, why didn't you tell earlier that you're not going to do anything? Is this a cultural thing?

Change 283570 had a related patch set uploaded (by BryanDavis):
Enable europeana2802016 campaign

https://gerrit.wikimedia.org/r/283570

Change 283438 merged by jenkins-bot:
Enable europeana2802016 campaign

https://gerrit.wikimedia.org/r/283438

Change 283570 merged by jenkins-bot:
Enable europeana2802016 campaign

https://gerrit.wikimedia.org/r/283570

Mentioned in SAL [2016-04-14T21:57:43Z] <bd808@tin> Synchronized php-1.27.0-wmf.21/extensions/ContentTranslation: Enable europeana2802016 campaign (T125626) (duration: 00m 34s)

I merged and deployed the patch from @KartikMistry. @Multichill confirmed that the error message about CT being unavailable is now gone.

The patch looks like a horrible hack that could be replaced with some easier to modify configuration if this sort of activity is expected to be possible generally.

@bd808 Thanks for merging (and deploying). Yes. Technically, it was the easiest thing we could do at moment.

@Multichill We still don't have any other way to support custom campaign than 'list of articles' (see Medical Translation Project campaign).

Arrbee added a subscriber: Arrbee.Apr 15 2016, 10:30 AM

Hi @Wittylama @Multichill @TheDJ this was an extremely unfortunate oversight on our part and I am deeply sorry for this last minute mess that we put you through. As I understand, the current solution provided was the best we could do at the moment for this particular campaign. There were complications that we identified during earlier discussions which prevents T125531 from being done and hence this was the easier way out. Perhaps we can explore the article list options that the Medical Project used, to come up with a sensible alternative. We are in the process of updating this ticket and the associated tickets to capture the requirements for the Europeana campaign that may have been discussed offline. Its important for us to cover this bit because we are still refining the lists and campaigns (T96147) feature plan for Content Translation. Thanks and much apologies for this confusion.

TheDJ closed this task as Resolved.Apr 15 2016, 12:04 PM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Apr 16 2016, 12:22 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 11:02 PM